package net.knarcraft.serverlauncher.server;

/**
 * A more advanced servertype for particularly tricky jar downloads.
 *
 * @author		Kristian Knarvik <kristian.knarvik@knett.no>
 * @version	0.0.0.1
 * @since		0.0.0.1
 */
public class AdvancedServerType extends ServerType {
    private String versionURL;
    private String downloadURLPart;
    private String srcStart;
    private String srcEnd;

    public AdvancedServerType(String name, String[] versions, String versionURL, String srcStart, String srcEnd, String downloadURL, String downloadURLPart) {
        super(name, versions, downloadURL);
        this.srcStart = srcStart;
        this.srcEnd = srcEnd;
        this.versionURL = versionURL;
        this.downloadURLPart = downloadURLPart;
    }

    public String getVersionURL() {
        return this.versionURL;
    }

    public String getDownloadURLPart() {
        return this.downloadURLPart;
    }

    public String getSrcStart() {
        return this.srcStart;
    }

    public String getSrcEnd() {
        return this.srcEnd;
    }
}
